namespace Common.WebApi.Exceptions;

public abstract class AppException( string errorCode, string message, int statusCode,
    params object[]? formatArgs) : Exception(message)
{
    public string ErrorCode { get; } = errorCode;
    public int StatusCode { get; } = statusCode;
    public object[]? FormatArgs { get; } = formatArgs;
}
